diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
index f0656e523..fb17fd805 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
@@ -247,7 +247,7 @@ class TableAddTestCase(BaseTestGenerator):
             '/' + str(self.schema_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
index 9ebdcac1b..62471253c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
@@ -59,7 +59,7 @@ class TableDeleteTestCase(BaseTestGenerator):
                                       str(self.schema_id) + '/' +
                                       str(self.table_id),
                                       follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete_multiple.py
index f3adfb155..76baec78f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete_multiple.py
@@ -73,7 +73,7 @@ class TableDeleteMultipleTestCase(BaseTestGenerator):
                                       data=json.dumps(data),
                                       content_type='html/json',
                                       follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
index 14a80cd76..b6506cee6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
@@ -55,7 +55,7 @@ class TableGetTestCase(BaseTestGenerator):
                                    str(self.schema_id) + '/' +
                                    str(self.table_id),
                                    follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_parameters.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_parameters.py
index fae094bdc..8c8694934 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_parameters.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_parameters.py
@@ -168,7 +168,7 @@ class TableUpdateParameterTestCase(BaseTestGenerator):
                                    str(self.table_id),
                                    data=json.dumps(data),
                                    follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
index 0ef9e62e8..358c5f6f5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
@@ -156,7 +156,7 @@ class TableUpdateTestCase(BaseTestGenerator):
             str(self.server_id) + '/' + str(self.db_id) + '/' +
             str(self.schema_id) + '/' + str(self.table_id),
             data=json.dumps(data), follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
index ba52726f1..a2c84ac17 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
@@ -92,7 +92,7 @@ class TriggersAddTestCase(BaseTestGenerator):
                 with patch(self.mock_data["function_name"],
                            side_effect=eval(self.mock_data["return_value"])):
                     response = self.create_trigger()
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
index 0186ae206..1bc8d387f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
@@ -90,7 +90,7 @@ class TriggersDeleteTestCase(BaseTestGenerator):
                        return_value=eval(self.mock_data["return_value"])):
                 response = self.delete_trigger()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete_multiple.py
index 135421660..729cc8480 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete_multiple.py
@@ -95,7 +95,7 @@ class TriggersDeleteMultipleTestCase(BaseTestGenerator):
             data=json.dumps(data),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
index 25e1eff4f..f5fa5dee8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
@@ -92,7 +92,7 @@ class TriggersGetTestCase(BaseTestGenerator):
                     "?oid=17312&description=commaa&name=code&_=1589522392579"
                 response = self.tester.get(url, follow_redirects=True)
 
-                self.assertEquals(response.status_code,
+                self.assertEqual(response.status_code,
                                   self.expected_data["status_code"])
             if hasattr(self, "table_nodes"):
                 self.trigger_id = ''
@@ -119,7 +119,7 @@ class TriggersGetTestCase(BaseTestGenerator):
                            return_value=eval(self.mock_data["return_value"])):
                     response = self.get_trigger()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
index 995a3fc55..44199d925 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
@@ -112,7 +112,7 @@ class TriggersUpdateTestCase(BaseTestGenerator):
                     self.trigger_id = 9999
                 response = self.update_trigger()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data["status_code"])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
index bf55c3797..37ca1b47f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
@@ -95,7 +95,7 @@ class SchemaAddTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
index 5f1f8b77d..e419aa378 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
@@ -79,7 +79,7 @@ class SchemaDeleteTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete_multiple.py
index e8fc84dd3..bea75a0ff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete_multiple.py
@@ -81,7 +81,7 @@ class SchemaDeleteMultipleTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_dependents.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_dependents.py
index f40ed994a..1052407dd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_dependents.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_dependents.py
@@ -70,7 +70,7 @@ class SchemaDependentAndDependencyTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
index 2ae44b9ef..f21e7906d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get.py
@@ -80,7 +80,7 @@ class SchemaGetTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py
index b4d20b523..06cfa7061 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py
@@ -77,7 +77,7 @@ class SchemaChildrenTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py
index 650d0f0a0..dcd263907 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py
@@ -79,7 +79,7 @@ class SchemaNodeAndNodesTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
index ed2385cc7..30a6562aa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
@@ -151,7 +151,7 @@ class SchemaPutTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py
index d73556810..a75eb031d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py
@@ -81,7 +81,7 @@ class SchemaSQLTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
index 7b7c8c2d8..988f1e550 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
@@ -80,7 +80,7 @@ class TypesAddTestCase(BaseTestGenerator):
                            side_effect=[return_value_object]):
                     response = self.create_types()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
index 9b55e6abb..fcb8db2c9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
@@ -86,7 +86,7 @@ class TypesDeleteTestCase(BaseTestGenerator):
                 self.type_id = 99999
                 response = self.delete_type()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete_multiple.py
index a16ddbc31..60a50f5e9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete_multiple.py
@@ -81,7 +81,7 @@ class TypesDeleteMultipleTestCase(BaseTestGenerator):
         if self.is_positive_test:
             response = self.delete_multiple(data)
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_dependency_dependent.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_dependency_dependent.py
index 4b02d8a0d..fa5897f52 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_dependency_dependent.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_dependency_dependent.py
@@ -61,7 +61,7 @@ class TypesDependenciesTestCase(BaseTestGenerator):
         )
 
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(response.status_code, expected_response_code)
+        self.assertEqual(response.status_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
index 391684996..ed2a4843f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
@@ -99,7 +99,7 @@ class TypesGetTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_collations.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_collations.py
index ddd2639ff..6492f92a1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_collations.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_collations.py
@@ -75,7 +75,7 @@ class TypesGetCollationsTestCase(BaseTestGenerator):
                            return_value=eval(self.mock_data["return_value"])):
                     response = self.get_collations()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_external_functions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_external_functions.py
index 29313fb28..635ed9afa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_external_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_external_functions.py
@@ -77,7 +77,7 @@ class TypesExternalFunctionTestCase(BaseTestGenerator):
                            side_effect=[return_value_object]):
                     response = self.get_external_function()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes.py
index 4b570873b..6c0b0fc5b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes.py
@@ -76,7 +76,7 @@ class TypesSubTypesTestCase(BaseTestGenerator):
                            side_effect=[return_value_object]):
                     response = self.get_subtypes()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes_opclass.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes_opclass.py
index bdfaa4ed4..73c92f466 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes_opclass.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_stypes_opclass.py
@@ -68,7 +68,7 @@ class TypesSubTypesOpClassTestCase(BaseTestGenerator):
         if self.is_positive_test:
             response = self.get_subtypes_opclass()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_subtype_diff.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_subtype_diff.py
index ad17cd436..73461a8d3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_subtype_diff.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_subtype_diff.py
@@ -68,7 +68,7 @@ class TypesSubTypeDiffTestCase(BaseTestGenerator):
         if self.is_positive_test:
             response = self.get_subtype_diff()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_types.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_types.py
index be4da66b4..57bd736cf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_types.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get_types.py
@@ -76,7 +76,7 @@ class TypesGetTypesTestCase(BaseTestGenerator):
                            side_effect=[return_value_object]):
                     response = self.get_types()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_msql.py
index f91a9f101..bbfcbd2fa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_msql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_msql.py
@@ -68,7 +68,7 @@ class TypesMSQLTestCase(BaseTestGenerator):
         if self.is_positive_test:
             response = self.msql_type()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_nodes.py
index 6c7c998a3..5ffee5c5e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_nodes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_nodes.py
@@ -95,7 +95,7 @@ class TypesNodesTestCase(BaseTestGenerator):
                 self.type_id = 99999
                 response = self.get_type_node()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
index 449653be0..cd708876d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
@@ -79,7 +79,7 @@ class TypesUpdateTestCase(BaseTestGenerator):
                            side_effect=[return_value_object]):
                     response = self.update_type()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_sql.py
index 8af9e2c5a..2d78eeb35 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_sql.py
@@ -80,7 +80,7 @@ class TypesSQLTestCase(BaseTestGenerator):
                 self.type_id = 99999
                 response = self.sql_type()
 
-        self.assertEquals(response.status_code,
+        self.assertEqual(response.status_code,
                           self.expected_data['status_code'])
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
index 9f9a3898d..47a3c6ed7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_parameters.py
@@ -181,7 +181,7 @@ class MViewsUpdateParameterTestCase(BaseTestGenerator):
                                    str(self.m_view_id),
                                    data=json.dumps(data),
                                    follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_refresh.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_refresh.py
index 3b4055f30..f54a47a5f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_refresh.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_mviews_refresh.py
@@ -115,7 +115,7 @@ class MViewsUpdateParameterTestCase(BaseTestGenerator):
             str(self.m_view_id),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         if is_put_request and response.json['success'] == 0:
             self.skipTest(
                 "Couldn't check materialized view refresh"
@@ -136,9 +136,9 @@ class MViewsUpdateParameterTestCase(BaseTestGenerator):
                 follow_redirects=True
             )
             if self.type == 'invalid':
-                self.assertEquals(response.status_code, 410)
+                self.assertEqual(response.status_code, 410)
             else:
-                self.assertEquals(response.status_code, 200)
+                self.assertEqual(response.status_code, 200)
                 # On success we get job_id from server
                 self.assertTrue('job_id' in response.json['data'])
 
